<template>
    <div>
        <h1>About page</h1>
        <ul>
            <li v-for="user in users" :key="user.id" class="userItem" @click="onMove(user.id)">{{ user.name }} - {{
                user.type }} </li>
        </ul>
    </div>
</template>

<script>
export default {
    name: 'AboutPage',
    data() {
        return {
            users: [
                { id: 11, type: 'admin', name: 'Ivan' },
                { id: 22, type: 'manager', name: 'Petro' },
                { id: 33, type: 'worker', name: 'Olga' },
            ]
        }
    },

    methods: {
        onMove(userId) {
            this.$router.push({ name: 'contacts', params: { id: userId } })
        }
    },
}
</script>

<style lang="css" scoped>
.userItem {
    cursor: pointer;
}
</style>